cascading.stats.tez.util

## Class TaskStatus

- java.lang.Object
- - cascading.stats.tez.util.TaskStatus

-     public class TaskStatus
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskStatus(java.lang.String taskID)`
    `TaskStatus(java.lang.String taskID, java.lang.String status, long scheduledTime, long startTime, long endTime, java.lang.String successfulAttemptID, java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters, java.lang.String diagnostics)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>` | `getCounters()`
    `java.lang.String` | `getDiagnostics()`
    `long` | `getEndTime()`
    `long` | `getScheduledTime()`
    `long` | `getStartTime()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getSuccessfulAttemptID()`
    `java.lang.String` | `getTaskID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskStatus

          public TaskStatus(java.lang.String taskID)

    - #### TaskStatus

          public TaskStatus(java.lang.String taskID,
                    java.lang.String status,
                    long scheduledTime,
                    long startTime,
                    long endTime,
                    java.lang.String successfulAttemptID,
                    java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters,
                    java.lang.String diagnostics)

  - ### Method Detail

    - #### getTaskID

          public java.lang.String getTaskID()

    - #### getStatus

          public java.lang.String getStatus()

    - #### getScheduledTime

          public long getScheduledTime()

    - #### getStartTime

          public long getStartTime()

    - #### getEndTime

          public long getEndTime()

    - #### getSuccessfulAttemptID

          public java.lang.String getSuccessfulAttemptID()

    - #### getCounters

          public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> getCounters()

    - #### getDiagnostics

          public java.lang.String getDiagnostics()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.